petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexCreateProcessSF

Create an SF which just has process connectivity

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateProcessSF(DM dm, PetscSF sfPoint, IS *processRanks, PetscSF *sfProcess)

Collective on dm

### Input Parameters

| dm | - The DM
| sfPoint | - The PetscSF which encodes point connectivity

### Output Parameters

| processRanks | - A list of process neighbors, or NULL
| sfProcess | - An SF encoding the process connectivity, or NULL

### See Also

PetscSFCreate(), DMPlexCreateTwoSidedProcessSF()

### Level

developer

### Location

src/dm/impls/plex/plexrefine.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages